Bug 1921 - (Request-OTR-IM) Add OTR (Off-the-Record Messaging) support for IM client
(Request-OTR-IM)
: Add OTR (Off-the-Record Messaging) support for IM client
Status: RESOLVED WONTFIX
Product: Chat & Call & SMS
Telepathy
: 5.0-beta2
: All All
: Low enhancement with 18 votes (vote)
: ---
Assigned To: rtcomm@maemo.org
: telepathy-bugs
: http://bugs.freedesktop.org/show_bug....
: upstream
:
:
  Show dependency tree
 
Reported: 2007-08-27 16:14 UTC by Olle Segerdahl
Modified: 2012-03-24 11:42 UTC (History)
4 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Olle Segerdahl (reporter) 2007-08-27 16:14:02 UTC
Could we please have OTR support in the IM client?
I would really like to not have to use Pidgin when I want to chat securely.
Comment 1 Andre Klapper maemo.org 2009-02-13 00:19:37 UTC
(For general information about OTR see http://www.cypherpunks.ca/otr/ )

Maemo uses Telepathy, hence a prefered solution would be implementing this
upstream. Developers are willing to help 3rd party developers, see
http://lists.cypherpunks.ca/pipermail/otr-users/2008-September/001480.html or
the upstream bug ticket at http://bugs.freedesktop.org/show_bug.cgi?id=16891 .
Comment 2 Matthew Wronka 2010-06-16 23:06:30 UTC
I would suggest as an alternative using standard encryption in the chat system,
e.g. either RFC 3923 or XEP-0027 would be a better focus to work with any
conformant system.

http://xmpp.org/extensions/xep-0027.html
http://tools.ietf.org/html/rfc3923
Comment 3 Alex Smirnoff 2010-06-17 00:56:59 UTC
OTR is more widespread at the moment. And it can be used with SMS as well.
Comment 4 Andre Klapper maemo.org 2012-03-24 11:42:10 UTC
The Maemo 5 User Interface and Maemo 5 platform components (e.g. libraries)
used for the N900 are considered stable by Nokia and it seems that there are no
plans for official updates currently, hence nobody plans to work on this
enhancement/wishlist request. 
(And in case you feel like discussing this situation: Nokia Customer Care or
http://talk.maemo.org would be the place to do so as you will not reach Nokia
officials in this community bugtracker - though all of this is really no news.)

Reflecting this status by setting RESOLVED WONTFIX for this
enhancement/wishlist request (see
https://bugs.maemo.org/page.cgi?id=fields.html#status for status explanations).

There is a small chance for issues in those Maemo components that are open
source: Contributed patches could be included and made available in the Maemo 5
Community CSSU updates. 
The Maemo CSSU project is run by a small team of volunteers; see
http://wiki.maemo.org/CSSU for more information.
So in case that you can provide a patch that fixes the reported problem, please
feel encouraged to file a request under
https://bugs.maemo.org/enter_bug.cgi?product=Maemo%205%20Community%20SSU .
Please note: The Maemo CSSU project is not related in any way to Nokia.


( Tag for mass-deleting bugmail: [cleanup20120324] )